ResourceBundle::get
Spoofchecker
ResourceBundle
PHP Manual

# ResourceBundle::getLocales

# resourcebundle_locales

Get supported locales

### Description

Object oriented style

public array ResourceBundle::getLocales ( string `$bundlename` )

Procedural style

array resourcebundle_locales ( string `$bundlename` )

Get available locales from ResourceBundle name.

### Parameters

`bundlename`

  Path of ResourceBundle for which to get available locales, or empty string for default locales list.

### Return Values

Returns the list of locales supported by the bundle.

### Examples

Example #1 resourcebundle_locales example

`<?php
$bundle = "/user/share/data/myapp";
echo join(PHP_EOL, resourcebundle_locales($bundle);
?>`

The above example will output something similar to:

    es
    root

Example #2 OO example

`<?php
$bundle = "/usr/share/data/myapp";
$r = new ResourceBundle( 'es', $bundle);
echo join("\n", $r->getLocales($bundle));
?>`

The above example will output something similar to:

    es
    root

### See Also

- resourcebundle_get